Q & A plugin error messages

Hi,
Just downloaded your Q & A plugin
https://premium.wpmudev.org/project/qa-wordpress-questions-and-answers-plugin/

I'm getting the following error messages after activation in 4.3.
Your constructor syntax needs updating. Thanks!

Alex
--------------

or method for WP_Widget is deprecated since version 4.3.0! Use
__construct()
instead. in /data02/c7199483/public_html/sjward.org/mdev/wp-includes/functions.php on line 3457

Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
__construct()
instead. in /data02/c7199483/public_html/sjward.org/mdev/wp-includes/functions.php on line 3457

Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
__construct()
instead. in /data02/c7199483/public_html/sjward.org/mdev/wp-includes/functions.php on line 3457

Notice: The called constructor method for WP_Widget is deprecated since version 4.3.0! Use
__construct()
instead. in /data02/c7199483/public_html/sjward.org/mdev/wp-includes/functions.php on line 3457

Warning: Cannot modify header information - headers already sent by (output started at /data02/c7199483/public_html/sjward.org/mdev/wp-includes/functions.php:3457) in /data02/c7199483/public_html/sjward.org/mdev/wp-includes/option.php on line 787

Warning: Cannot modify header information - headers already sent by (output started at /data02/c7199483/public_html/sjward.org/mdev/wp-includes/functions.php:3457) in /data02/c7199483/public_html/sjward.org/mdev/wp-includes/option.php on line 788

  • Ash

    Hello @Alex Furr

    I hope you are well today and thanks for asking the question.

    This is a known issue. You have latest version of php but the plugin contains the code that is needed for older version too. Those codes are showing errors (notice infact). Our developer is working on this and very soon an update will be released.

    For now, would you please disable debug mode and check if any error is shown in that page?

    To disable debug mode please edit a line in your wp-config.php:
    Change

    define('WP_DEBUG', true);

    to

    define('WP_DEBUG', false);

    Cheers
    Ash